{
    "name": "farmos/farmos",
    "description": "A web-based farm record keeping application.",
    "type": "drupal-profile",
    "license": "GPL-2.0-or-later",
    "homepage": "https://farmOS.org",
    "support": {
        "docs": "https://farmOS.org/guide",
        "forum": "https://farmOS.discourse.group",
        "chat": "https://matrix.to/#/#farmOS:matrix.org"
    },
    "authors": [
        {
            "name": "Michael Stenta",
            "email": "mike@farmier.com"
        }
    ],
    "require": {
        "cweagans/composer-patches": "^1.6",
        "drupal/admin_toolbar": "^3.3",
        "drupal/core": "10.2.1",
        "drupal/config_update": "^2.0@alpha",
        "drupal/consumers": "^1.15",
        "drupal/csv_serialization": "^4.0",
        "drupal/date_popup": "^1.3",
        "drupal/entity": "1.4",
        "drupal/entity_browser": "^2.10",
        "drupal/entity_reference_integrity": "^1.1",
        "drupal/entity_reference_revisions": "1.10",
        "drupal/entity_reference_validators": "^1.0@beta",
        "drupal/exif_orientation": "^1.2",
        "drupal/fraction": "^2.3.1",
        "drupal/geofield": "^1.40",
        "drupal/gin": "^3.0@rc",
        "drupal/inline_entity_form": "^1.0@RC",
        "drupal/inspire_tree": "^1.0",
        "drupal/jsonapi_extras": "^3.22",
        "drupal/jsonapi_schema": "1.0-rc1",
        "drupal/log": "^2.2",
        "drupal/migrate_plus": "^6.0",
        "drupal/migrate_source_csv": "^3.5",
        "drupal/migrate_source_ui": "^1.0",
        "drupal/migrate_tools": "^6.0.2",
        "drupal/role_delegation": "^1.2",
        "drupal/simple_oauth": "6.0.0-beta5",
        "drupal/simple_oauth_password_grant": "^1.0@RC",
        "drupal/state_machine": "^1.9",
        "drupal/subrequests": "^3.0.6",
        "drupal/token": "^1.11",
        "drupal/views_geojson": "^1.2",
        "drush/drush": "^12.4.3",
        "ext-simplexml": "*",
        "itamair/geophp": "1.3"
    },
    "extra": {
        "patchLevel": {
            "drupal/core": "-p2"
        },
        "patches": {
            "drupal/core": {
                "Issue #2429699: Add Views EntityReference filter to be available for all entity reference fields.": "https://www.drupal.org/files/issues/2021-12-02/2429699-453-9.3.x.patch",
                "Issue #2339235: Remove taxonomy hard dependency on node module": "https://www.drupal.org/files/issues/2024-01-03/2339235-10.2.x-82.patch",
                "Issue #1874838: Allow exposed blocks to use 'Link display' settings": "https://www.drupal.org/files/issues/2021-11-11/1874838-26.patch",
                "Issue #2909128: Autocomplete not working on Chrome Android": "https://www.drupal.org/files/issues/2023-07-11/2909128-92.patch"
            },
            "drupal/entity": {
                "Issue #3206703: Provide reverse relationships for bundle plugin entity_reference fields.": "https://www.drupal.org/files/issues/2022-05-11/3206703-10.patch"
            },
            "drupal/entity_reference_revisions": {
                "Issue #3267304: Infer target_revision_id to be Latest Revision when Only a target_id is Provided": "https://www.drupal.org/files/issues/2022-05-13/3267304-9.patch"
            },
            "drupal/jsonapi_schema": {
                "Issue #3256795: Float fields have a null schema": "https://www.drupal.org/files/issues/2022-01-03/3256795-4.patch",
                "Issue #3246251: Change format utc-millisec to date-time": "https://www.drupal.org/files/issues/2021-10-27/3246251-2.patch",
                "Issue #3189930: TypeError: Argument 1 passed to Drupal\\jsonapi_schema\\Controller\\JsonApiSchemaController::Drupal\\jsonapi_schema\\Controller\\{closure}() must be an instance of Drupal\\jsonapi\\ResourceType\\ResourceType": "https://www.drupal.org/files/issues/2020-12-26/3189930-2.patch",
                "Issue #3322227: Document schema title wrong for multiple resource types": "https://www.drupal.org/files/issues/2022-11-17/3322227-0.patch",
                "Issue #3397275: Use OptionsProviderInterface::getPossibleOptions() for allowed field values (anyOf / oneOf)": "https://www.drupal.org/files/issues/2023-10-27/3397275-2.patch"
            },
            "drupal/simple_oauth": {
                "Issue #3322325: Cannot authorize clients with empty string set as secret": "https://www.drupal.org/files/issues/2023-10-31/3322325-8.patch",
                "Issue #3397590: Add method to check if scope has permission": "https://www.drupal.org/files/issues/2023-10-30/3397590-5_0.patch"
            },
            "itamair/geophp": {
                "Use BCMath (where available) for all float arithmetic #115": "https://patch-diff.githubusercontent.com/raw/phayes/geoPHP/pull/115.patch"
            }
        }
    }
}
